# Table of Contents - rails-deprecated_sanitizer-1.0.3 Documentation

## Classes and Modules

- ActionView
- ActionView::Helpers
- ActionView::Helpers::SanitizeHelper
- ActionView::Helpers::SanitizeHelper::ClassMethods
- ActionView::Helpers::SanitizeHelper::ClassMethods::HTML
- HTML
- HTML::CDATA
- HTML::Conditions
- HTML::Document
- HTML::FullSanitizer
- HTML::LinkSanitizer
- HTML::Node
- HTML::Sanitizer
- HTML::Selector
  - Matching Elements
  - Selecting Elements
  - Expressions
  - Attribute Values
  - Alternatives, siblings, children
  - Pseudo classes
  - Substitution Values
- HTML::Selector::InvalidSelectorError
- HTML::Tag
- HTML::Text
- HTML::Tokenizer
- HTML::Version
- HTML::WhiteListSanitizer
- Rails
- Rails::DeprecatedSanitizer
- Rails::DeprecatedSanitizer::Railtie

## Methods

- ::for_class — HTML::Selector
- ::for_id — HTML::Selector
- ::new — HTML::Selector
- ::selector — HTML
- #attribute_match — HTML::Selector
- #contains_bad_protocols? — HTML::WhiteListSanitizer
- #full_sanitizer — Rails::DeprecatedSanitizer
- #link_sanitizer — Rails::DeprecatedSanitizer
- #match — HTML::Selector
- #next_element — HTML::Selector
- #next_selector — HTML::Selector
- #nth_child — HTML::Selector
- #only_child — HTML::Selector
- #process_attributes_for — HTML::WhiteListSanitizer
- #process_node — HTML::WhiteListSanitizer
- #process_node — HTML::LinkSanitizer
- #process_node — HTML::FullSanitizer
- #process_node — HTML::Sanitizer
- #sanitize — HTML::Sanitizer
- #sanitize — HTML::FullSanitizer
- #sanitize_css — HTML::WhiteListSanitizer
- #sanitizeable? — HTML::Sanitizer
- #sanitizeable? — HTML::LinkSanitizer
- #select — HTML::Selector
- #select — HTML::Tag
- #select_first — HTML::Selector
- #simple_selector — HTML::Selector
- #tokenize — HTML::WhiteListSanitizer
- #tokenize — HTML::Sanitizer
- #validate_options — HTML::Sanitizer
- #white_list_sanitizer — Rails::DeprecatedSanitizer